unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, NccRuler, ExtCtrls, StdCtrls, Spin;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    NccRuler1: TNccRuler;
    NccRuler2: TNccRuler;
    UnitPopupMenu: TPopupMenu;
    Pixels: TMenuItem;
    CM: TMenuItem;
    Inch: TMenuItem;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    SpinEdit3: TSpinEdit;
    Label3: TLabel;
    procedure PixelsClick(Sender: TObject);
    procedure CMClick(Sender: TObject);
    procedure InchClick(Sender: TObject);
    procedure Panel2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure NccRuler1SetUnit(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.PixelsClick(Sender: TObject);
begin
     NccRuler1.RulerUnit := ruPixels;
     NccRuler2.RulerUnit := ruPixels;
end;

procedure TForm1.CMClick(Sender: TObject);
begin
     NccRuler1.RulerUnit := ruCM;
     NccRuler2.RulerUnit := ruCM;
end;

procedure TForm1.InchClick(Sender: TObject);
begin
     NccRuler1.RulerUnit := ruInch;
     NccRuler2.RulerUnit := ruInch;
end;

procedure TForm1.Panel2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     NccRuler1.MarkerPos := x;
     NccRuler2.MarkerPos := y;
end;

procedure TForm1.NccRuler1SetUnit(Sender: TObject);
begin
     with NccRuler1 do
          UnitPopupMenu.Popup(ClientOrigin.x + BaseOrigin, ClientOrigin.y + BaseOrigin);
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
     NccRuler1.OffSet := SpinEdit1.Value;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
     NccRuler2.OffSet := SpinEdit2.Value;
end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
     NccRuler1.Scale := SpinEdit3.Value;
     NccRuler2.Scale := SpinEdit3.Value;
end;

end.
